Class DeviceLinksImpl
java.lang.Object
com.eqixiac.equinix.networkedge.client.implementation.DeviceLinksImpl
- All Implemented Interfaces:
DeviceLinks
- Author:
- ianjones
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionReturns an instance of DeviceLinkBuilder for defining a new Device Link.Gets the specified Device Link.list()Lists available Device Links.list(RequestBuilder.DeviceLink requestBuilder) Lists Device Links based on the parameters provided.
-
Constructor Details
-
DeviceLinksImpl
public DeviceLinksImpl()
-
-
Method Details
-
list
Description copied from interface:DeviceLinksLists available Device Links.- Specified by:
listin interfaceDeviceLinks- Returns:
PaginatedList
-
list
Lists Device Links based on the parameters provided.- Specified by:
listin interfaceDeviceLinks- Parameters:
requestBuilder- the desired query parameters.- Returns:
PaginatedList
-
getByUuid
Description copied from interface:DeviceLinksGets the specified Device Link.- Specified by:
getByUuidin interfaceDeviceLinks- Parameters:
uuid- the unique identifier of the Device Link.- Returns:
DeviceLink
-
define
Description copied from interface:DeviceLinksReturns an instance of DeviceLinkBuilder for defining a new Device Link.- Specified by:
definein interfaceDeviceLinks- Parameters:
groupName- the name of the new Device Link group.- Returns:
DeviceLinkOperator.DeviceLinkBuilder
-